Bug 169271 - /usr/lib/libboost*.so.? links missing in package
/usr/lib/libboost*.so.? links missing in package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-26 07:30 EDT by Ralf Corsepius
Modified: 2013-08-09 01:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 12:59:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-26 07:30:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.7.10-1.5.2

Description of problem:
The boost rpm doesn't contain the
/usr/lib/libboost*.so.? 
symlinks.


Version-Release number of selected component (if applicable):
boost-1.32.0-6

How reproducible:
Always

Steps to Reproduce:
1. yum install boost
2. cd /usr/lib
3.   rpm -qf libboost_*.so.?
file /usr/lib/libboost_date_time.so.1 is not owned by any package
file /usr/lib/libboost_filesystem.so.1 is not owned by any package
file /usr/lib/libboost_prg_exec_monitor.so.1 is not owned by any package
file /usr/lib/libboost_program_options.so.1 is not owned by any package
file /usr/lib/libboost_python.so.1 is not owned by any package
file /usr/lib/libboost_regex.so.1 is not owned by any package
file /usr/lib/libboost_signals.so.1 is not owned by any package
file /usr/lib/libboost_test_exec_monitor.so.1 is not owned by any package
file /usr/lib/libboost_thread.so.1 is not owned by any package
file /usr/lib/libboost_unit_test_framework.so.1 is not owned by any package


Actual Results:  The rpm's %postinst scriptlet regenerates the symlinks.

Expected Results:  The symlinks should be part of the rpm.

The rpm is mis-packaged.


Additional info:
Comment 1 Benjamin Kosnik 2006-01-09 12:58:50 EST
Fixed in 1.31.1-4.

Note You need to log in before you can comment on or make changes to this bug.